#ifndef __USER_HID__
#define __USER_HID__
/*==============================================================================
    FILE:           user_hid.h

    DESCRIPTION:    Uses the cld_hid library to implement a basic USB mouse
                    HID device.

    Copyright (c) 2015 Closed Loop Design, LLC

    This software is supplied "AS IS" without any warranties, express, implied
    or statutory, including but not limited to the implied warranties of fitness
    for purpose, satisfactory quality and non-infringement. Closed Loop Design LLC
    extends you a royalty-free right to reproduce and distribute executable files
    created using this software for use on Analog Devices Blackfin family
    processors only. Nothing else gives you the right to use this software.

==============================================================================*/
#ifdef _LANGUAGE_C

typedef enum
{
    USER_HID_INIT_SUCCESS = 0,
    USER_HID_INIT_ONGOING,
    USER_HID_INIT_FAILED,
} User_HID_Init_Return_Code;

extern User_HID_Init_Return_Code user_hid_init (void);
extern void user_hid_main (void);

#endif /* _LANGUAGE_C */
#endif /* __USER_HID__ */
